NanoPlot (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.xychart

## Class NanoPlot

- java.lang.Object
- - com.twosigma.beakerx.widget.Widget
  - - com.twosigma.beakerx.widget.BeakerxWidget
    - - com.twosigma.beakerx.chart.ChartDetails
      - - com.twosigma.beakerx.chart.Chart
        - - com.twosigma.beakerx.chart.AbstractChart
          - - com.twosigma.beakerx.chart.xychart.XYChart
            - - com.twosigma.beakerx.chart.xychart.TimePlot
              - - com.twosigma.beakerx.chart.xychart.NanoPlot

- All Implemented Interfaces:
    com.twosigma.beakerx.widget.CommFunctionality, com.twosigma.beakerx.widget.DisplayableWidget, com.twosigma.beakerx.widget.WidgetItem

      public class NanoPlot
      extends TimePlot

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.twosigma.beakerx.widget.Widget

      `com.twosigma.beakerx.widget.Widget.ActionPerformed, com.twosigma.beakerx.widget.Widget.WidgetDisplayMethodStrategy`

  - ### Field Summary

    - ### Fields inherited from class com.twosigma.beakerx.chart.AbstractChart

      `timeZone, yAxis`

    - ### Fields inherited from class com.twosigma.beakerx.chart.Chart

      `PLOT_GRIDLINE, PLOT_LABEL, PLOT_LABEL_X, PLOT_LABEL_Y, PLOT_TITLE`

    - ### Fields inherited from class com.twosigma.beakerx.widget.BeakerxWidget

      `MODEL, MODEL_MODULE_VALUE, MODEL_UPDATE, VIEW_MODULE_VALUE`

    - ### Fields inherited from class com.twosigma.beakerx.widget.Widget

      `APPLICATION_VND_JUPYTER_WIDGET_VIEW_JSON, DESCRIPTION, DISABLED, DISPLAY, INDEX, METHOD, MODEL_ID, MODEL_MODULE, MODEL_MODULE_VERSION, MODEL_MODULE_VERSION_VALUE, MODEL_NAME, MSG_THROTTLE, VALUE, VIEW_MODULE, VIEW_MODULE_VERSION, VIEW_MODULE_VERSION_VALUE, VIEW_NAME, VISIBLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NanoPlot()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isNanoPlotClass(java.lang.Class<?> plotClass)`

    - ### Methods inherited from class com.twosigma.beakerx.chart.xychart.TimePlot

      `getModelNameValue, getViewNameValue, setxBound, setXBound, setXBound`

    - ### Methods inherited from class com.twosigma.beakerx.chart.xychart.XYChart

      `add, add, add, add, add, add, getConstantBands, getConstantLines, getGraphics, getLodThreshold, getLogX, getRasters, getTexts, getxAutoRange, getXAutoRange, getxLogBase, getXLogBase, getxLowerBound, getXLowerBound, getxUpperBound, getXUpperBound, isxTickLabelsVisible, isXTickLabelsVisible, isyTickLabelsVisible, isYTickLabelsVisible, leftShift, leftShift, leftShift, leftShift, leftShift, setLodThreshold, setLogX, setxAutoRange, setXAutoRange, setxBound, setXBound, setxBound, setxLogBase, setXLogBase, setxTickLabelsVisible, setXTickLabelsVisible, setyTickLabelsVisible, setYTickLabelsVisible`

    - ### Methods inherited from class com.twosigma.beakerx.chart.AbstractChart

      `add, getAutoZoom, getCrosshair, getLogY, getOmitCheckboxes, getTimeZone, getxLabel, getXLabel, getxLowerMargin, getXLowerMargin, getxUpperMargin, getXUpperMargin, getyAutoRange, getYAutoRange, getyAutoRangeIncludesZero, getYAutoRangeIncludesZero, getyAxes, getYAxes, getyLabel, getYLabel, getyLogBase, getYLogBase, getyLowerBound, getYLowerBound, getyLowerMargin, getYLowerMargin, getyUpperBound, getYUpperBound, getyUpperMargin, getYUpperMargin, leftShift, leftShift, setAutoZoom, setCrosshair, setLogY, setOmitCheckboxes, setTimeZone, setxLabel, setXLabel, setxLowerMargin, setXLowerMargin, setxUpperMargin, setXUpperMargin, setyAutoRange, setYAutoRange, setyAutoRangeIncludesZero, setYAutoRangeIncludesZero, setYBound, setyBound, setYBound, setyLabel, setYLabel, setyLogBase, setYLogBase, setyLowerMargin, setYLowerMargin, setyUpperMargin, setYUpperMargin`

    - ### Methods inherited from class com.twosigma.beakerx.chart.Chart

      `getCustomStyles, getElementStyles, getGridLineStyle, getInitHeight, getInitWidth, getLabelStyle, getLabelXStyle, getLabelYStyle, getLegendLayout, getLegendPosition, getShowLegend, getTitle, getTitleStyle, getUseToolTip, serializeToJsonObject, serializeToJsonObject, setCustomStyles, setGridLineStyle, setInitHeight, setInitWidth, setLabelStyle, setLabelXStyle, setLabelYStyle, setLegendLayout, setLegendPosition, setShowLegend, setTitle, setTitleStyle, setUseToolTip`

    - ### Methods inherited from class com.twosigma.beakerx.chart.ChartDetails

      `getDetails, getDetailsFromMessage, getGraphics, getGraphicsById, getGraphicsUid, onActionDetails, openComm, setDetails, updateDetails`

    - ### Methods inherited from class com.twosigma.beakerx.widget.BeakerxWidget

      `activateWidgetInContainer, addValueChangeMsgCallback, beforeDisplay, content, getModelModuleValue, getViewModuleValue, sendModel, sendModelUpdate, sendModelUpdate`

    - ### Methods inherited from class com.twosigma.beakerx.widget.Widget

      `asWidget, close, display, getComm, getModelModuleVersion, getViewModuleVersion, handleCommEventSync, openComm, sendDisplay, sendUpdate, sendUpdate, sendUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NanoPlot

          public NanoPlot()

  - ### Method Detail

    - #### isNanoPlotClass

          public static boolean isNanoPlotClass(java.lang.Class<?> plotClass)